commit:     ad30d3bace6259482ccafd5e87021c367b77c544
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 22 23:07:29 2015 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Tue Feb  2 18:34:49 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad30d3ba

qt5-build.eclass: add missing die when using cat with heredocs

(cherry picked from proj/qt commit f3886df8a10a03548efb3941c84aefc51fb4b195)

 eclass/qt5-build.eclass | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index c03daf3..6534f81 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -17,12 +17,9 @@ case ${EAPI} in
        *)      die "qt5-build.eclass: unsupported EAPI=${EAPI:-0}" ;;
 esac
 
+[[ ${EAPI} == 5 ]] && inherit multilib
 inherit eutils flag-o-matic toolchain-funcs versionator virtualx
 
-if [[ ${EAPI} == 5 ]]; then
-       inherit multilib
-fi
-
 HOMEPAGE="https://www.qt.io/";
 LICENSE="|| ( LGPL-2.1 LGPL-3 ) FDL-1.3"
 
@@ -241,12 +238,12 @@ qt5-build_src_test() {
        # create a custom testrunner script that correctly sets
        # {,DY}LD_LIBRARY_PATH before executing the given test
        local testrunner=${QT5_BUILD_DIR}/gentoo-testrunner
-       cat <<-EOF > "${testrunner}"
+       cat > "${testrunner}" <<-_EOF_ || die
        #!/bin/sh
        export LD_LIBRARY_PATH="${QT5_BUILD_DIR}/lib:${QT5_LIBDIR}"
        export DYLD_LIBRARY_PATH="${QT5_BUILD_DIR}/lib:${QT5_LIBDIR}"
        "\$@"
-       EOF
+       _EOF_
        chmod +x "${testrunner}"
 
        _qt5_test_runner() {
@@ -291,7 +288,7 @@ qt5-build_src_install() {
                        || die "sed failed (qconfig.h)"
 
                # install qtchooser configuration file
-               cat > "${T}/qt5-${CHOST}.conf" <<-_EOF_
+               cat > "${T}/qt5-${CHOST}.conf" <<-_EOF_ || die
                        ${QT5_BINDIR}
                        ${QT5_LIBDIR}
                _EOF_

Reply via email to